Package org.zkoss.html

## Class StyleSheet

- java.lang.Object
- - org.zkoss.html.StyleSheet

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`

      public class StyleSheet
      extends java.lang.Object
      implements java.io.Serializable, java.lang.Cloneable

  Represents a style sheet.
  Since:
    6.0.0
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StyleSheet​(java.lang.String href, java.lang.String type)` | Creates by specifying the file to contain the style sheets.
    `StyleSheet​(java.lang.String content, java.lang.String type, boolean byContent)` | Creates by assigning the content (style sheets).
    `StyleSheet​(java.lang.String content, java.lang.String type, java.lang.String media, boolean byContent)` | Creates by assigning the content (style sheets).
    `StyleSheet​(java.lang.String content, java.lang.String type, java.lang.String media, boolean byContent, boolean disabled)` | Creates by assigning the content (style sheets).

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `clone()` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getContent()` | Returns the style sheets, or null if `getHref()` is not null.
    `java.lang.String` | `getHref()` | Returns the href that contains the style sheets, or null if `getContent()` is not null.
    `java.lang.String` | `getMedia()` | Returns the media, or null if not available.
    `java.lang.String` | `getType()` | Returns the type.
    `int` | `hashCode()` |
    `boolean` | `isDisabled()` | Returns whether the style sheet is disabled.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StyleSheet

          public StyleSheet​(java.lang.String href,
                            java.lang.String type)

      Creates by specifying the file to contain the style sheets.
      Parameters:
        `href` - URI of the file containing the style sheets.
        `type` - the type. If null, "text/css" is assumed.

    - #### StyleSheet

          public StyleSheet​(java.lang.String content,
                            java.lang.String type,
                            boolean byContent)

      Creates by assigning the content (style sheets).
      Parameters:
        `content` - the style content or an URI to an external file.
        `type` - the type. If null, "text/css" is assumed.
        `byContent` - the content argument is the style content, or an URI to an external content

    - #### StyleSheet

          public StyleSheet​(java.lang.String content,
                            java.lang.String type,
                            java.lang.String media,
                            boolean byContent)

      Creates by assigning the content (style sheets).
      Parameters:
        `content` - the style content or an URI to an external file.
        `type` - the type. If null, "text/css" is assumed.
        `media` - the media. If null, it is omitted.
        `byContent` - the content argument is the style content, or an URI to an external content

    - #### StyleSheet

          public StyleSheet​(java.lang.String content,
                            java.lang.String type,
                            java.lang.String media,
                            boolean byContent,
                            boolean disabled)

      Creates by assigning the content (style sheets).
      Parameters:
        `content` - the style content or an URI to an external file.
        `type` - the type. If null, "text/css" is assumed.
        `media` - the media. If null, it is omitted.
        `byContent` - the content argument is the style content, or an URI to an external content
        `disabled` - whether the style sheet is disabled.
      Since:
        9.5.0

  - ### Method Detail

    - #### getHref

          public java.lang.String getHref()

      Returns the href that contains the style sheets, or null if `getContent()` is not null.

    - #### getType

          public java.lang.String getType()

      Returns the type.

    - #### getMedia

          public java.lang.String getMedia()

      Returns the media, or null if not available.

      Refer to media-depedent style sheet for details.

    - #### getContent

          public java.lang.String getContent()

      Returns the style sheets, or null if `getHref()` is not null.

    - #### isDisabled

          public boolean isDisabled()

      Returns whether the style sheet is disabled.

      Default: false.

      Returns:
        boolean
      Since:
        9.5.0

    - #### clone

          public java.lang.Object clone()

      Overrides:
        `clone` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`